<?
require_once('modules/EcmCalendars/Calendar.php'); 
$c=new Calendar();
$timezone = $timedate->getUserTimeZone($current_user);
$deltaServerUser = $timedate->get_hour_offset(true, $timezone);
//print "mm".$timedate->handle_offset("2008-12-12 14:00:00", "H:i:s", true, $current_user)."mmm";
if($_REQUEST['date'])
{
	$exp=explode("-",$_REQUEST['date']);
	$c->year=$_SESSION['ecmcalendar']['y']=$exp[0];
	$c->month=$_SESSION['ecmcalendar']['m']=$exp[1];
	$c->day=$_SESSION['ecmcalendar']['d']=$exp[2];
}
else
{
	if($_SESSION['ecmcalendar'])
	{
		$c->year=$_SESSION['ecmcalendar']['y'];
		$c->month=$_SESSION['ecmcalendar']['m'];
		$c->day=$_SESSION['ecmcalendar']['d'];
	}
	else
	{
		$c->year=$_SESSION['ecmcalendar']['y']=date("Y");
		$c->month=$_SESSION['ecmcalendar']['m']=date("m");
		$c->day=$_SESSION['ecmcalendar']['d']=date("d");
	}
}
if($_SESSION['cal_dashlet']['act_status'])$c->act_status=$_SESSION['cal_dashlet']['act_status'];
else $c->act_status="All";
if($_SESSION['cal_dashlet']['act_user'])$c->act_user=$_SESSION['cal_dashlet']['act_user'];
else $c->act_user="All";
if($_SESSION['cal_dashlet']['act_type'])$c->act_type=$_SESSION['cal_dashlet']['act_type'];
else $c->act_type="All";

//$c->current_user=$current_user;

echo '<link rel="stylesheet" type="text/css" media="all" href="themes/Sugar/calendar-win2k-cold-1.css?s=5.0.0e&c=">';
echo '<style type="text/css">@import url("themes/Sugar/style.css?s=5.0.0e&c=");</style>';
echo '<link href="themes/Sugar/colors.sugar.css?s=5.0.0e&c=" rel="stylesheet" type="text/css" title="sugar" />';
echo '<link href="modules/EcmCalendars/style.css" rel="stylesheet" type="text/css">';
echo '<script language="javascript" src="modules/EcmCalendars/helper.js"></script>';
echo '<script language="javascript" src="modules/EcmCalendars/Calendar.js"></script>';
echo $c->showTableDay($c->month,$c->year,$c->day);
?>
